Upgrade your LT Win Modem to version 8.22, which supports Windows 9x, 2000, ME and NT for ISA and PCI.
Alternative drivers to Lucent WinModem v.90 version 8.22: